org.apache.jmeter.assertions

## Class JSR223Assertion

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.util.ScriptingTestElement
    - - org.apache.jmeter.util.JSR223TestElement
      - - org.apache.jmeter.assertions.JSR223Assertion

- All Implemented Interfaces:
    Serializable, Cloneable, Assertion, Searchable, TestBean, TestElement, TestStateListener

      public class JSR223Assertion
      extends JSR223TestElement
      implements Cloneable, Assertion, TestBean

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.jmeter.util.ScriptingTestElement

      `DEFAULT_SCRIPT_LANGUAGE, scriptLanguage`

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSR223Assertion()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `AssertionResult` | `getResult(SampleResult response)` Returns the AssertionResult object encapsulating information about the success or failure of the assertion.

    - ### Methods inherited from class org.apache.jmeter.util.JSR223TestElement

      `compile, getCacheKey, getInstance, getScriptEngine, getScriptLanguage, populateBindings, processFileOrScript, setCacheKey, setScriptLanguage, testEnded, testEnded, testStarted, testStarted`

    - ### Methods inherited from class org.apache.jmeter.util.ScriptingTestElement

      `getFilename, getParameters, getScript, isStopCondition, setFilename, setParameters, setScript`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Constructor Detail

    - #### JSR223Assertion

          public JSR223Assertion()

  - ### Method Detail

    - #### getResult

          public AssertionResult getResult(SampleResult response)

      Description copied from interface: `Assertion`
      Returns the AssertionResult object encapsulating information about the success or failure of the assertion.
      Specified by:
        `getResult` in interface `Assertion`
      Parameters:
        `response` - the SampleResult containing information about the Sample (duration, success, etc)
      Returns:
        the AssertionResult containing the information about whether the assertion passed or failed.

    - #### clone

          public Object clone()

      Specified by:
        `clone` in interface `TestElement`
      Overrides:
        `clone` in class `AbstractTestElement`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.